Bug 174696 - Create regression tests for the JIT probe.
Summary: Create regression tests for the JIT probe.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Lam
URL:
Keywords: InRadar
Depends on:
Blocks: 174645
  Show dependency treegraph
 
Reported: 2017-07-20 16:18 PDT by Mark Lam
Modified: 2017-07-24 07:47 PDT (History)
9 users (show)

See Also:


Attachments
work in progress. (32.54 KB, patch)
2017-07-21 17:34 PDT, Mark Lam
no flags Details | Formatted Diff | Diff
proposed patch. (34.59 KB, patch)
2017-07-21 21:43 PDT, Mark Lam
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Lam 2017-07-20 16:18:54 PDT
We should test that:
1. the probe is able to read the value of all CPU registers.
2. the probe is able to write the value of all CPU registers.
3. special case of (2): the probe is able to change the value of the stack pointer.
4. special case of (2): the probe is able to change the value of the program counter (where to execute upon returning from the probe).

<rdar://problem/33436922>
Comment 1 Mark Lam 2017-07-21 17:34:10 PDT
Created attachment 316149 [details]
work in progress.

This patch already passes the probe masm tests on x86, x86_64, and ARMv7.  ARM64 won't pass the tests until we fix https://bugs.webkit.org/show_bug.cgi?id=174697.

Still need to add fpr registers to the tests.
Comment 2 Mark Lam 2017-07-21 21:43:04 PDT
Created attachment 316168 [details]
proposed patch.
Comment 3 Saam Barati 2017-07-23 11:41:34 PDT
Comment on attachment 316168 [details]
proposed patch.

Nice. r=me
Comment 4 Mark Lam 2017-07-23 13:06:35 PDT
Comment on attachment 316168 [details]
proposed patch.

Thanks for the review.
Comment 5 WebKit Commit Bot 2017-07-23 13:35:06 PDT
Comment on attachment 316168 [details]
proposed patch.

Clearing flags on attachment: 316168

Committed r219790: <http://trac.webkit.org/changeset/219790>
Comment 6 WebKit Commit Bot 2017-07-23 13:35:08 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Csaba Osztrogonác 2017-07-24 03:18:58 PDT
(In reply to WebKit Commit Bot from comment #5)
> Comment on attachment 316168 [details]
> proposed patch.
> 
> Clearing flags on attachment: 316168
> 
> Committed r219790: <http://trac.webkit.org/changeset/219790>

It broke the CLOOP build, see build.webkit.org for details.
Comment 8 Mark Lam 2017-07-24 07:47:27 PDT
(In reply to Csaba Osztrogonác from comment #7)
> (In reply to WebKit Commit Bot from comment #5)
> > Comment on attachment 316168 [details]
> > proposed patch.
> > 
> > Clearing flags on attachment: 316168
> > 
> > Committed r219790: <http://trac.webkit.org/changeset/219790>
> 
> It broke the CLOOP build, see build.webkit.org for details.

Thanks for the report.  Fix landed in r219821: <http://trac.webkit.org/r219821>.